Bug 1851381 - logStore stanza is required to deploy fluentd standalone
Summary: logStore stanza is required to deploy fluentd standalone
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.4.z
Assignee: Periklis Tsirakidis
QA Contact: Giriyamma
URL:
Whiteboard:
Depends On: 1850076
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-26 11:54 UTC by Periklis Tsirakidis
Modified: 2020-10-30 12:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Missing reconciliation of a collector dead end condition when none of log store or logforwarding status is provided by the user in the ClusterLogging and/or LogFowarding custom resources. Consequence: Fluentd is crashlooping because no configuraiton is provided. Fix: Provide am empty configuration for fluentd to enable pods startup. In addition report DeadEnd condition in Logfowarding custom restource status to inform users of manual intervention demand. Result: Fluentd starts as expected given a ClusterLogging custom resource with only a collection stanza. In addition if a LogFowarding custom resource provided with zero valid outputs a condition named DeadEnd will be reported in the status field.
Clone Of:
Environment:
Last Closed: 2020-07-14 01:43:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-logging-operator pull 579 0 None closed Bug 1851381: Add condition when log collection is missing outputs 2020-12-11 05:48:57 UTC
Red Hat Knowledge Base (Solution) 5530621 0 None None None 2020-10-30 12:39:39 UTC
Red Hat Product Errata RHBA-2020:2871 0 None None None 2020-07-14 01:44:03 UTC

Comment 4 Giriyamma 2020-07-06 13:22:37 UTC
Verified this on 4.4.0-0.nightly-2020-07-04-120349,
fluentd pods starts just with the below configuration as expected.

apiVersion: "logging.openshift.io/v1"
kind: "ClusterLogging"
metadata:
  name: "instance"
  namespace: "openshift-logging"
spec:
  collection:
    logs:
      fluentd: {}
      type: fluentd

$ oc get pods -n openshift-logging
NAME                                        READY     STATUS    RESTARTS   AGE
cluster-logging-operator-7f9c8d494b-bmw8m   1/1       Running   0          3m
fluentd-2pgt7                               1/1       Running   0          2m9s
fluentd-h78b8                               1/1       Running   0          2m8s
fluentd-m4fzh                               1/1       Running   0          2m8s
fluentd-mt7ch                               1/1       Running   0          2m8s
fluentd-n2xh2                               1/1       Running   0          2m9s
fluentd-wsn2z                               1/1       Running   0          2m9s

Moving this bug to verified state.

Comment 6 errata-xmlrpc 2020-07-14 01:43:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2871


Note You need to log in before you can comment on or make changes to this bug.